archiva-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hackaton <hackaton-nab...@yahoo.com>
Subject Re: Unable to find project model
Date Tue, 13 May 2008 06:01:44 GMT

>I think it's complaining of the mismatched versions.. the version set in the
>pom is '2.0.6' while in the filename it's '2.0.8'.

This is the maven-artifact-2.0.8.pom, I cannot see it mention anything about
2.0.6 and in fact it explicitly say the version is 2.0.8.

<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <artifactId>maven</artifactId>
    <groupId>org.apache.maven</groupId>
    <version>2.0.8</version>
  </parent>
  ...
</project>

>The only way to get rid of these errors is to fix the pom files, but i
think
>archiva 1.0.1 has a bug of not updating or reflecting the changes
>in the poms. Please see..

>http://jira.codehaus.org/browse/MRM-608
>http://jira.codehaus.org/browse/MRM-622

>These two issues have already been fixed though, and will be included in
the
>next release.

I am using 1.0.2 now, but the problem still exist. Do I have to remove any
file to force a fresh rescan?

Also, error can also be found in these POM as well:
maven-plugin-tools-java-2.1.pom
maven-model-2.0.7.pom 
maven-settings-2.0.7.pom
maven-profile-2.0.8.pom
maven-reporting-2.0.8.pom
maven-error-diagnostics-2.0.7.pom
maven-artifact-manager-2.0.8.pom

They are part of Maven project, it is not likely they released incorrect
POMs!
-- 
View this message in context: http://www.nabble.com/Unable-to-find-project-model-tp16393440p17201659.html
Sent from the archiva-users mailing list archive at Nabble.com.


Mime
View raw message